For the complete documentation index, see llms.txt. This page is also available as Markdown.

Attachments

Add attachments in an existing financial

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
financial_idstringObrigatório
Parâmetros de consulta
is_payment_billetbooleanObrigatório
payment_billet_bar_codestringOpcional
payment_billet_qr_codestringOpcional
file_idsstring[]Opcional
Corpo
filesstring · binary[]Opcional

DEPRECATED. Direct file upload is being discontinued. Please use 'file_ids' instead.

Respostas
200

Attachment(s) add successfully

application/json
idstringOpcional
is_payment_billetbooleanOpcional
payment_billet_bar_codestringOpcional
payment_billet_qr_codestringOpcional
post/financials/{financial_id}/attachments
POST /api/sales/financials/{financial_id}/attachments?is_payment_billet=true HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 20

{
  "files": [
    "binary"
  ]
}
{
  "id": "text",
  "is_payment_billet": true,
  "payment_billet_bar_code": "text",
  "payment_billet_qr_code": "text",
  "resource_files": [
    {
      "id": "text",
      "fileName": "text"
    }
  ]
}